.TH "mca_pml_comm_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mca_pml_comm_t \- Cached on ompi_communicator_t to hold queues/state used by the PML<->PTL interface for matching logic.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <pml_ob1_comm.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBopal_object_t\fP \fBsuper\fP"
.br
.ti -1c
.RI "uint32_t \fBrecv_sequence\fP"
.br
.RI "\fIrecv request sequence number - receiver side \fP"
.ti -1c
.RI "\fBopal_mutex_t\fP \fBmatching_lock\fP"
.br
.RI "\fImatching lock \fP"
.ti -1c
.RI "\fBopal_list_t\fP \fBwild_receives\fP"
.br
.RI "\fIqueue of unmatched wild (source process not specified) receives \fP"
.ti -1c
.RI "mca_pml_ob1_comm_proc_t * \fBprocs\fP"
.br
.ti -1c
.RI "size_t \fBnum_procs\fP"
.br
.ti -1c
.RI "uint32_t * \fBc_msg_seq\fP"
.br
.RI "\fIsend message sequence number - sender side \fP"
.ti -1c
.RI "uint16_t * \fBc_next_msg_seq\fP"
.br
.RI "\fIsend message sequence number - receiver side \fP"
.ti -1c
.RI "mca_ptl_sequence_t \fBc_recv_seq\fP"
.br
.RI "\fIrecv request sequence number - receiver side \fP"
.ti -1c
.RI "\fBopal_mutex_t\fP \fBc_matching_lock\fP"
.br
.RI "\fImatching lock \fP"
.ti -1c
.RI "\fBopal_list_t\fP * \fBc_unexpected_frags\fP"
.br
.RI "\fIunexpected fragment queues \fP"
.ti -1c
.RI "\fBopal_list_t\fP * \fBc_frags_cant_match\fP"
.br
.RI "\fIout-of-order fragment queues \fP"
.ti -1c
.RI "\fBopal_list_t\fP * \fBc_specific_receives\fP"
.br
.RI "\fIqueues of unmatched specific (source process specified) receives \fP"
.ti -1c
.RI "\fBopal_list_t\fP \fBc_wild_receives\fP"
.br
.RI "\fIqueue of unmatched wild (source process not specified) receives \fP"
.in -1c
.SH "Detailed Description"
.PP 
Cached on ompi_communicator_t to hold queues/state used by the PML<->PTL interface for matching logic. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
